commit:     fbe684c272565cd2c8ca72e0dd04eab09ac3af32
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 08:29:42 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 08:45:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbe684c2

dev-ruby/tty-cursor: update EAPI 7 -> 8, add ruby33

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/tty-cursor/tty-cursor-0.7.1-r1.ebuild | 29 ++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/dev-ruby/tty-cursor/tty-cursor-0.7.1-r1.ebuild 
b/dev-ruby/tty-cursor/tty-cursor-0.7.1-r1.ebuild
new file mode 100644
index 000000000000..bf71d2b5e4ef
--- /dev/null
+++ b/dev-ruby/tty-cursor/tty-cursor-0.7.1-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_GEMSPEC="tty-cursor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Move the terminal cursor around and manipulate text using 
intuitive method calls"
+HOMEPAGE="https://github.com/piotrmurach/tty-cursor";
+SRC_URI="https://github.com/piotrmurach/tty-cursor/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc 
~x86"
+
+all_ruby_prepare() {
+       echo '-rspec_helper' > .rspec || die
+
+       sed -i -e 's:require_relative ":require "./:' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}

Reply via email to